Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.gtwy.pbx
Class PBXSignalingServer

    java.lang.Object
      |
      +--cnrg.itx.gtwy.pbx.PBXSignalingServer

public class PBXSignalingServer
extends java.lang.Object

This is the main program class for PBXSignaling. The server's functions are: receive packets from a gateway signaling component; own a PBXSignaling object ("myPBX") which executes JTAPI functions; A PBX could handle more than one gateway; a gateway may use different PBXs for different calls. decode incoming packets and invoke the proper routines in "myPBX" for handling INVITE packets and HANGUP requests. START packets are ignored.

Inner Class Summary
`protected class` | `PBXSignalingServer.ThreadWait` Inner private class that waits for keyboard input.

Constructor Summary
`PBXSignalingServer(java.lang.String[] args)` Constructor is invoked by main.

Method Summary
`protected void` | `finalize()` Destructor for PBXSignalingServer - stop all running Dialers, unregister from Directory Server, and exit
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PBXSignalingServer

    public PBXSignalingServer(java.lang.String[] args)

  Constructor is invoked by main. It gets a PBXSignaling object, and registers self with Directory Services.
  Parameters:
    `args` - from the command line

Method Detail

### main

    public static void main(java.lang.String[] args)

### finalize

    protected void finalize()

  Destructor for PBXSignalingServer - stop all running Dialers, unregister from Directory Server, and exit
  Overrides:
    finalize in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD